<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<?php

//ini_set("display_errors", "true");
//error_reporting (E_ALL);

include_once("miscUtil.php");
include_once('buildvariables.php');

// our summary results handling requires php 5 (for simple xml file loading)
// so, if not php 5, just don't display any summary results
// This was found to be required, since some mirror our whole site (e.g. IBM)
// and not all mirrors use PHP 5
$displayTestSummary=false;
if (phpversion() >= 5) {

	$code_totalBundles=0;
	$code_totalErrors=0;
	$code_totalWarnings=0;
	$code_totalforbiddenAccessWarningCount=0;
	$code_totaldiscouragedAccessWarningCount=0;

	$test_totalBundles=0;
	$test_totalErrors=0;
	$test_totalWarnings=0;
	$test_totalforbiddenAccessWarningCount=0;
	$test_totaldiscouragedAccessWarningCount=0;


	$displayTestSummary=true;
	// expecting grandTotalErrors and grandTotalTests
	$filename = "unitTestsSummary.xml";
	if (file_exists($filename)) {
		$prefix = "unitTests_";
		$unitTestsSummary = simplexml_load_file($filename);
		foreach ($unitTestsSummary->summaryItem as $summaryItem) {
			$name = $summaryItem->name;
			$value = $summaryItem->value;
			$code= "\$" . $prefix . $name . " = " . $value . ";";
			//echo "<br />code: " . $code;
			eval($code);
		}
	}

	$filename = "compilelogsSummary.xml";
	if (file_exists($filename)) {
		$prefix = "code_";
		$compileSummary = simplexml_load_file($filename);
		foreach ($compileSummary->summaryItem as $summaryItem) {
			$name = $summaryItem->name;
			$value = $summaryItem->value;
			$code= "\$" . $prefix . $name . " = " . $value . ";";
			//echo "<br />code: " . $code;
			eval($code);
		}
	}

	$filename = "testcompilelogsSummary.xml";
	if (file_exists($filename)) {
		$prefix = "test_";
		$compileSummary = simplexml_load_file($filename);
		foreach ($compileSummary->summaryItem as $summaryItem) {
			$name = $summaryItem->name;
			$value = $summaryItem->value;
			$code= "\$" . $prefix . $name . " = " . $value . ";";
			//echo "<br />code: " . $code;
			eval($code);
		}
	}
}


$incubating="@incubating@";



if (isset($incubating) && ($incubating == "true")) {
	echo '<title>WTP Incubator Downloads</title>';
}
else {
	echo '<title>WTP Downloads</title>';
}

?>


</head>

<body>

<?php if ("true" === $incubating) {
	echo "<table BORDER=0 CELLSPACING=2 CELLPADDING=2 WIDTH=\"100%\">";
	echo "	<tr>";
	echo "		<td ALIGN=left><font face=\"'Bitstream Vera',Helvetica,Arial\" size=\"+2\"><b><?php echo \"$type\";?>";
	echo "        Build: $build</b></font></td>";
	echo "		<td align=\"right\" rowspan=\"3\"><a";
	echo "			href=\"http://www.eclipse.org/projects/what-is-incubation.php\"><img";
	echo "			src=\"http://www.eclipse.org/images/egg-incubation.png\"";
	echo "			alt=\"Incubation\" align=\"middle\" border=\"0\"></a></td>";


	echo "	<tr valign=\"top\">";
	echo "		<td><font size=\"-1\">" . $builddate . "</font></td>";
	echo "	</tr>";
	echo "	<tr valign=\"top\">";
	echo "		<td>";
	echo "		<p>The Eclipse Web Tools Platform (WTP) Incubator Project provides";
	echo "		tools for development that are just getting started, or are";
	echo "		experimental in some fashion.</p>";
	echo "		</td>";
	echo "	</tr>";
	echo "</table>";

} else {

	echo "<table BORDER=0 CELLSPACING=2 CELLPADDING=2 WIDTH=\"100%\">";
	echo "	<tr>";
	echo "		<td ALIGN=left><font face=\"'Bitstream Vera',Helvetica,Arial\" size=\"+2\"><b>$type";
	echo "		Build: " . $build . "</b></font></td>";

	echo "	<tr valign=\"top\">";
	echo "		<td><font size=\"-1\">" . $builddate . "</font></td>";
	echo "	</tr>";
	echo "	<tr valign=\"top\">";
	echo "		<td>";
	echo "		<p>The Eclipse Web Tools Platform Project provides tools for Web";
	echo "			Development, and is a platform for adopters making add-on tools for";
	echo "			Web Development.</p>";
	echo "		</td>";
	echo "	</tr>";
	echo "</table>";

} ?>


<table border=0 cellspacing=2 cellpadding=2 width="100%">
	<tr>
		<td align="left" valign="top" bgcolor="#0080C0"><font
			face="'Bitstream Vera',Helvetica,Arial" color="#FFFFFF">All-in-one
		Packages</font></td>
	</tr>
	<tr>
		<td>
		<p>For most uses, we recommend web-developers download the
		"all-in-one" package, <a href="http://www.eclipse.org/downloads/">Eclipse
		IDE for Java EE Developers</a>, from the main Eclipse download site.</p>
		</td>
	</tr>
</table>


<!-- ***********  Required Prerequisites **************  -->
<table border=0 cellspacing=2 cellpadding=2 width="100%">
	<tr>
		<td align="left" valign="top" bgcolor="#0080C0"><font
			face="'Bitstream Vera',Helvetica,Arial" color="#FFFFFF">Prerequisites
		and Handy Extras</font></td>
	</tr>
	<tr>
		<td>
		<p>These are the prerequisites to build or run these packages. All are
		not necessarily required, but instead some subset. Also listed are
		some frequently needed links for committer-required packages when
		creating new development environments, or targets to run against.</p>
		<p>Note that WTP requires Java 5 or higher (and, for some things,
		actually requires a JDK rather than only a JRE) even though many other
		<a href="http://www.eclipse.org/downloads/">Eclipse Projects</a> can
		run with <a href="http://www.eclipse.org/downloads/moreinfo/jre.php">other
		JRE levels</a>.</p>
		<p></p>
		</td>
	</tr>
	<tr>
		<td>
		<table border=0 cellspacing=1 cellpadding=1 width="90%" align="center">
			<tr valign="top">
				<td width="10%"></td>
				<td width="55%">Eclipse Platform (Platform, JDT)</td>
				<?php
				//customize page depending on user's browser/platform, if we can detect it
				$usersPlatform = getPlatform();
				// assume windows by default, since likely most frequent, even for cases where
				// platform is "unknown". I've noticed Opera reports 'unknown' :(
				$recommendedFile=$eclipsefilewindows;
				if (strcmp($usersPlatform,"linux")== 0) {
					$recommendedFile=$eclipsefilelinux;
				} else if (strcmp($usersPlatform,"mac") == 0) {
					$recommendedFile=$eclipsefilemacosx;
				}
				?>
				<td align="right" width="35%"><?php
				echo getPrereqReferenceOrName($eclipseMirrorScript, $eclipseMirrorPrefixuri, $eclipseURL, $recommendedFile, $eclipseFSpathPrefix);
				echo " or <a href=\"" . $eclipseBuildURL . "\">appropriate platform</a>";
				echo " or <a href=\"" . $eclipseBuildHome . "\">equivalent</a></td>";
				?>
			
			</tr>

			<tr valign="top">
				<td width="10%"></td>
				<td><?php echo "$emfName $emfDescription" ?></td>
				<td align="right"><?php
				echo getPrereqReferenceOrName($eclipseMirrorScript, $emfMirrorPrefixuri, $emfURL, $emfFile, $eclipseFSpathPrefix);
				echo " or <a href=\"" . $emfBuildHome . "\">equivalent</a></td>";
				?>
			
			</tr>
			<tr valign="top">
				<td width="10%"></td>
				<td><?php echo "$emfxsdName $emfxsdDescription" ?></td>
				<td align="right"><?php
				echo getPrereqReferenceOrName($eclipseMirrorScript, $emfxsdMirrorPrefixuri, $emfxsdURL, $emfxsdFile, $eclipseFSpathPrefix);
				echo " or <a href=\"" . $emfxsdBuildHome . "\">equivalent</a></td>";
				?>
			
			</tr>

                     <?php 
                     if (isset($emfvalidationFile) && ($emfvalidationFile != "")) {
       			echo "<tr valign=\"top\">";
       				echo "<td width=\"10%\"></td>";
       				echo "<td>$emfvalidationName $emfvalidationDescription</td>";
       				echo "<td align=\"right\">";
       				echo getPrereqReferenceOrName($eclipseMirrorScript, $emfvalidationMirrorPrefixuri, $emfvalidationURL, $emfvalidationFile, $eclipseFSpathPrefix);
       				echo " or <a href=\"" . $emfvalidationBuildHome . "\">equivalent</a></td>";
       			echo "</tr>";
			}
			?>

			<tr valign="top">
				<td width="10%"></td>
				<td>Graphical Editing Framework (GEF)</td>
				<td align="right"><?php
				echo getPrereqReferenceOrName($eclipseMirrorScript, $gefMirrorPrefixuri, $gefURL, $gefFile, $eclipseFSpathPrefix);
				echo " or <a href=\"" . $gefBuildHome . "\">equivalent</a></td>";
				?>
			
			</tr>

			<tr valign="top">
				<td width="10%"></td>
				<td>Data Tools Platform (DTP) (required only for EJB or JPT
				development)</td>
				<td align="right"><?php
				echo getPrereqReferenceOrName($eclipseMirrorScript, $dtpMirrorPrefixuri, $dtpURL, $dtpFile, $eclipseFSpathPrefix);
				echo " or <a href=\"" . $dtpBuildHome . "\">equivalent</a></td>";
				?>
			
			</tr>

			<tr valign="middle">
				<td colspan="3">
				<hr />
				</td>
			</tr>

			<tr valign="top">
				<td width="10%"></td>
				<td><?php echo "$emfsourceName $emfsourceDescription" ?></td>
				<td align="right"><?php
				echo getPrereqReferenceOrName($eclipseMirrorScript, $emfsourceMirrorPrefixuri, $emfsourceURL, $emfsourceFile, $eclipseFSpathPrefix);
				echo " or <a href=\"" . $emfsourceBuildHome . "\">equivalent</a></td>";
				?>
			
			</tr>

			<tr valign="top">
				<td width="10%"></td>
				<td><?php echo "$emfxsdsourceName $emfxsdsourceDescription" ?></td>
				<td align="right"><?php
				echo getPrereqReferenceOrName($eclipseMirrorScript, $emfxsdsourceMirrorPrefixuri, $emfxsdsourceURL, $emfxsdsourceFile, $eclipseFSpathPrefix);
				echo " or <a href=\"" . $emfxsdsourceBuildHome . "\">equivalent</a></td>";
				?>
			
			</tr>

                     <?php 
                     if (isset($emfvalidationsourceFile) && ($emfvalidationsourceFile != "")) {
                            echo "<tr valign=\"top\">";
                                   echo "<td width=\"10%\"></td>";
                                   echo "<td>$emfvalidationsourceName $emfvalidationsourceDescription</td>";
                                   echo "<td align=\"right\">";
                                   echo getPrereqReferenceOrName($eclipseMirrorScript, $emfvalidationsourceMirrorPrefixuri, $emfvalidationsourceURL, $emfvalidationsourceFile, $eclipseFSpathPrefix);
                                   echo " or <a href=\"" . $emfvalidationsourceBuildHome . "\">equivalent</a></td>";
                            echo "</tr>";
                     }
                     ?>


			<tr valign="top">
				<td width="10%"></td>
				<td>Eclipse Test Framework (required only for Automated JUnit tests)</td>
				<td align="right"><?php
				echo getPrereqReferenceOrName($eclipseMirrorScript, $eclipseMirrorPrefixuri, $testURL, $testFile, $eclipseFSpathPrefix);
				echo " or <a href=\"" . $eclipseBuildHome . "\">equivalent</a></td>";
				?>
			
			</tr>

			<tr valign="top">
				<td width="10%"></td>
				<td>Eclipse releng tool (required only for committers to more easily
				"release" code to a build)</td>
				<td align="right"><?php
				echo getPrereqReferenceOrName($eclipseMirrorScript, $eclipseMirrorPrefixuri, $eclipserelengURL, $eclipserelengFile, $eclipseFSpathPrefix);
				echo " or <a href=\"" . $eclipseBuildHome . "\">equivalent</a></td>";
				?>
			
			</tr>

			<tr valign="top">
				<td width="10%"></td>
				<td>Third Party code from Orbit. Not required and is currently much
				more than needed for WTP, but some committers like using to create a
				PDE target.</td>
				<td align="right"><?php
				echo getPrereqReferenceOrName($eclipseMirrorScript, $orbitthirdpartyzipMirrorPrefixuri, $orbitthirdpartyzipURL, $orbitthirdpartyzipFile,$eclipseFSpathPrefix);
				echo " or <a href=\"" . $orbitthirdpartyzipBuildHome . "\">equivalent</a></td>";
				?>
			
			</tr>
                     <tr valign="middle">
                            <td colspan="3">
                            <hr />
                            </td>
                     </tr>
                      <tr valign="top">
                            <td width="10%"></td>
                            <td><?php echo "$wtpName $wtpDescription" ?></td>
                            <td align="right"><?php
                            echo getPrereqReferenceOrName($eclipseMirrorScript, $wtpMirrorPrefixuri, $wtpURL, $wtpFile, $eclipseFSpathPrefix);
                            echo " or <a href=\"" . $wtpBuildHome . "\">equivalent</a></td>";
                            ?>
                     
                     </tr>
		</table>
		</td>
	</tr>
</table>


<!-- ***********  WTP Patchs **************  -->
<table border=0 cellspacing=2 cellpadding=2 width="100%">
	<tr>
		<td align=left valign=top colspan="5" bgcolor="#0080C0"><font
			face="'Bitstream Vera',Helvetica,Arial" color="#FFFFFF"> Web Tools
		Platform Patches</font></td>
	</tr>

	<tr>
		<td align="left" valign="top" colspan="5">
		<p>The Zip files contain patches</p>
		</td>
	</tr>
	
	<?php

              $bellwether_name="repos";
              if (file_exists($bellwether_name)) {
                     // if-then-include section
                     // include this whole section if (and only if) the bellwether file exists.
                     // For example, it may not exist on builds for "old" streams.
       ?>
	<tr>
		<td>
		<table border=0 cellspacing=2 cellpadding=2 width="90%" align="center">

                     <tr>
                            <?php
                         
                            $zipfilename="wtp-patches32x-buildrepo-@build@";
                            $shortname="buildrepo-@build@";
                            $filename=$zipfilename.".zip";
                           
                            $fileShortDescription="zipped p2 repository";
                            displayp2repoarchives($zipfilename, $bellwether_name, $downloadprefix, $shortname, "Patch", $fileShortDescription);
                            
                            ?>
                     </tr>
                     <!-- 
                     <tr>
                            <td align="left" valign="top" width="20%"><b>Patched Tests, zipped repository</b></td>
                            <td align="left" valign="top">
                            Some unit tests may be added or adjusted for patches.
                            </td>
                            <?php
//                            $zipfilename="wtp-patches32x-tests-buildrepo-@build@";
//                            $filename=$zipfilename.".zip";
//                            $zipfilesize=fileSizeForDisplay($filename);
//                            $fileShortDescription="@build@";
//                            displayFileLine($downloadprefix, $filename, $zipfilesize, $fileShortDescription);
                            ?>
                     </tr>
                     -->
                     <tr valign="middle">
                            <td colspan="3">
                            <hr />
                            </td>
                     </tr>                     
			<tr>
				<td align="left" valign="top" width="20%"><b>Patch</b></td>
				<td align="left" valign="top">
				Traditional zip format
				</td>
				<?php
				$zipfilename="wtp-patches32x-@build@";
				$filename=$zipfilename.".zip";
				$zipfilesize=fileSizeForDisplay($filename);
				$fileShortDescription="@build@";
				displayFileLine($downloadprefix, $filename, $zipfilesize, $fileShortDescription);
				?>
			</tr>
			<!-- 
                     <tr>
                            <td align="left" valign="top" width="20%"><b>Patched Tests</b></td>
                            <td align="left" valign="top">
                            Traditional zip format
                            </td>
                            <?php
//                            $zipfilename="wtp-patches32x-tests-@build@";
//                            $filename=$zipfilename.".zip";
//                            $zipfilesize=fileSizeForDisplay($filename);
//                            $fileShortDescription="@build@";
//                            displayFileLine($downloadprefix, $filename, $zipfilesize, $fileShortDescription);
                            ?>
                     </tr>
                      -->			
		</table>
		</td>
	
	
	</tr>

              <?php } ?>
</table>



<!-- ***********  Build Status **************  -->
<table border=0 cellspacing=2 cellpadding=2 width="100%">
	<tr>
		<td align=left valign=top bgcolor="#0080C0"><font
			face="'Bitstream Vera',Helvetica,Arial" color="#FFFFFF">Status, tests
		and other interesting details</font></td>
	</tr>
	<tr>
		<td>
		<table border=0 cellspacing=2 cellpadding=2 width="90%" align="center">

			<tr>
				<td><a href="buildNotes.php">Build notes</a> <br />
				<a href="directory.txt">map files</a> <br />
				<?php

				if ($displayTestSummary) {


					if (isset($unitTests_grandTotalErrors)) {
						$errorColor="green";
						if ($unitTests_grandTotalErrors > 0) {
							$errorColor="red";
						}
						echo "<a href=\"testResults.php\">Unit test results</a>&nbsp;";
						echo "<img src=\"junit_err.gif\"/><font color=\"" . $errorColor . "\">" . $unitTests_grandTotalErrors . "</font>&nbsp;&nbsp;Total: " . $unitTests_grandTotalTests;
					}
					else {
						// we hardly ever "pend" anymore ... abscense usually signifies no tests or a build error.
						echo "<br /><font color=\"orange\">Unit tests don't exists, are pending, or there's a build error.</font>";
						//&nbsp;&nbsp;<img src=\"pending.gif\"/>";
					}

					echo "<br />";
					echo "<a href=\"compileResults.php\">Compile logs: Code Bundles</a>";

					echo "&nbsp;&nbsp;($code_totalBundles)&nbsp;&nbsp;";
					echo "<img src=\"compile_err.gif\"/><font color=red>$code_totalErrors</font>&nbsp;";
					echo "<img src=\"compile_warn.gif\"/><font color=orange>$code_totalWarnings</font>&nbsp;";
					echo "<img src=\"access_err.gif\"/><font color=red>$code_totalforbiddenAccessWarningCount</font>&nbsp;";
					echo "<img src=\"access_warn.gif\"/><font color=orange>$code_totaldiscouragedAccessWarningCount</font>&nbsp;";

					echo "<br />";
					echo "<a href=\"testCompileResults.php\">Compile logs: Test Bundles</a>";

					echo "&nbsp;&nbsp;($test_totalBundles)&nbsp;&nbsp;";
					echo "<img src=\"compile_err.gif\"/><font color=red>$test_totalErrors</font>&nbsp;";
					echo "<img src=\"compile_warn.gif\"/><font color=orange>$test_totalWarnings</font>&nbsp;";
					echo "<img src=\"access_err.gif\"/><font color=red>$test_totalforbiddenAccessWarningCount</font>&nbsp;";
					echo "<img src=\"access_warn.gif\"/><font color=orange>$test_totaldiscouragedAccessWarningCount</font>&nbsp;";
				}

				?> <br />

				<?php
				if (file_exists("versioningReportName.php")) {
					include "versioningReportName.php";
					$fname="${versionReportFilename}.html";
					if (file_exists($fname)) {
						echo "<br /> <a href='$fname'>Versioning Information</a>";
					}
}
?> <?php
echo "<br />";
if (file_exists("./apiresults/api-progress.html"))
{
	echo "<br /> <a href=\"apiresults/api-progress.html\">API Progress Report</a>";
}
if (file_exists("./apiresults/api-info-summary.html"))
{
	echo "<br /> <a href=\"apiresults/api-info-summary.html\">APIs Defined by Each Component</a>";
}
if (file_exists("./apiresults/api-ref-compatibility.html"))
{
	echo "<br /> <a href=\"apiresults/api-ref-compatibility.html\">Adopter Breakage Report</a>";
}
if (file_exists("./apiresults/api-violation-summary.html"))
{
	echo "<br /> <a href=\"apiresults/api-violation-summary.html\">API Violations</a>";
}
if (file_exists("./apiresults/component-api-violation-all.html"))
{
	echo "<br /> <a href=\"apiresults/component-api-violation-all.html\">Non-API dependencies</a>";
}
if (file_exists("./apiresults/api-tc-summary.html"))
{
	echo "<br /> <a href=\"apiresults/api-tc-summary.html\">API Test Coverage</a>";
}
if (file_exists("./apiresults/api-javadoc-summary.html"))
{
	echo "<br /> <a href=\"apiresults/api-javadoc-summary.html\">API Javadoc Coverage</a>";
}
if (file_exists("./apiresults/api-tc-summary.html"))
{
	echo "<br /><br /> <a href=\"apiresults/full_test_coverage/api-tc-summary.html\">Test Coverage for All Classes and Methods</a>";
}
?> <?php
if (file_exists("./perfresults/graph/performance.php"))
{
	echo "<br />";
	echo "<br /> <a href=\"perfresults/graph/performance.php\">Performance Results</a>";
	echo "<br />";
}
?></td>
			</tr>
		</table>
		</td>
	</tr>
</table>



<!-- footer -->
<center>
<hr>
<p>All downloads are provided under the terms and conditions of the <a
	href="http://www.eclipse.org/legal/notice.html">Eclipse.org Software
User Agreement</a> unless otherwise specified.</p>

<p>If you have problems downloading the drops, contact the <font
	face="'Bitstream Vera',Helvetica,Arial" size="-1"><a
	href="mailto:webmaster@eclipse.org">webmaster</a></font>.</p>

</center>
<!-- end footer -->


</body>
</html>
