#!/usr/bin/env bash


APP_NAME=org.eclipse.equinox.p2.publisher.CategoryPublisher

devworkspace=./workspace

JAVA_HOME=/shared/webtools/apps/ibm-java-ppc-608
devJRE=$JAVA_HOME/jre/bin/java

ibmDevArgs="-Xms128M -Xmx256M -Dosgi.ws=gtk -Dosgi.os=linux -Dosgi.arch=ppc -Dorg.eclipse.swt.browser.XULRunnerPath=/shared/common/mozilla-xulrunner181-1.8.1.4-30.ppc" 

APP_ARGS="\
-metadataRepository file://shared/webtools/committers/wtp-R3.2.1-M/20100730021206/R-3.2.1-20100730021206/repository/ \
-artifactRepository file://shared/webtools/committers/wtp-R3.2.1-M/20100730021206/R-3.2.1-20100730021206/repository/ \
-categoryDefinition file://shared/webtools/committers/wtp-R3.2.1-M/20100730021206/R-3.2.1-20100730021206/wtp321category.xml \
-categoryQualifier \
-compress" 

# remember, the '&' should NOT be unescaped here ... the p2 api (or underlying xml) will escape it. 
devArgs="$ibmDevArgs"

echo "dev:          " $0
echo
echo "devworkspace: " $devworkspace
echo
echo "devJRE:       " $devJRE
echo
echo "devArgs:      " $devArgs
echo
echo "APP_NAME:     " $APP_NAME
echo "APP_ARGS:     " ${APP_ARGS}

$devJRE -version


echo

ECLIPSE_INSTALL=/shared/webtools/apps/eclipse36RC3/eclipse

$ECLIPSE_INSTALL/eclipse  -debug -nosplash -consolelog -console -data $devworkspace --launcher.suppressErrors -application ${APP_NAME} ${APP_ARGS} -vm $devJRE -vmargs $devArgs

