#!/usr/bin/env bash
# specify devworkspace and JRE to use to runEclipse


devworkspace=./workspace

BUILDFILE=$1

if [ -e $BUILDFILE ] 
then
    BUILDFILESTR=" -file $BUILDFILE"
fi 

# we MUST use java 5, when using process/pack artifacts! 
JAVA_HOME=/shared/webtools/apps/ibm-java2-sdk-5.0-11.1-linux-ppc
devJRE=$JAVA_HOME/jre/bin/java

ibmDevArgs="-Xms128M -Xmx256M -Dosgi.ws=gtk -Dosgi.os=linux -Dosgi.arch=ppc" 

devArgs=$ibmDevArgs

echo dev:          $0
echo
echo devworkspace: $devworkspace
echo
echo devJRE:       $devJRE
$devJRE -version
echo

ECLIPSE_INSTALL=/shared/webtools/apps/eclipse36RC3/eclipse

$ECLIPSE_INSTALL/eclipse  -nosplash -debug -consolelog -console -data $devworkspace -application org.eclipse.ant.core.antRunner $BUILDFILESTR -vm $devJRE -vmargs $devArgs


