#!/usr/bin/env bash


APP_NAME=org.eclipse.wtp.releng.tools.addRepoProperties

devworkspace=./workspace

JAVA_HOME=/shared/webtools/apps/ibm-java-ppc-608
devJRE=$JAVA_HOME/jre/bin/java

ibmDevArgs="-Xms128M -Xmx256M -Dosgi.ws=gtk -Dosgi.os=linux -Dosgi.arch=ppc -Dorg.eclipse.swt.browser.XULRunnerPath=/shared/common/mozilla-xulrunner181-1.8.1.4-30.ppc " 


# remember, the '&' should NOT be unescaped here ... the p2 api (or underlying xml) will escape it. 
devArgs="$ibmDevArgs \
-Dp2MirrorsURL=http://www.eclipse.org/downloads/download.php?format=xml&file=/webtools/downloads/drops/R3.2.1/R-3.2.1-20100730021206/repository/&protocol=http \
-DartifactRepoDirectory=/shared/webtools/committers/wtp-R3.2.1-M/20100730021206/R-3.2.1-20100730021206/repository/  \
-Dp2StatsURI=http://download.eclipse.org/stats/webtools/repository/helios -DstatsArtifactsSuffix=_helios_0730 -DstatsTrackedArtifacts=org.eclipse.wst.jsdt.feature,org.eclipse.wst.xml_ui.feature,org.eclipse.wst.web_ui.feature,org.eclipse.jst.enterprise_ui.feature"


echo "dev:          " $0
echo
echo "devworkspace: " $devworkspace
echo
echo "devJRE:       " $devJRE
echo
echo "devArgs:      " $devArgs
echo
echo "APP_NAME:     " $APP_NAME
$devJRE -version
echo

ECLIPSE_INSTALL=/shared/webtools/apps/eclipse36RC3/eclipse

$ECLIPSE_INSTALL/eclipse  -debug -nosplash -consolelog -console -data $devworkspace --launcher.suppressErrors -application ${APP_NAME} ${OTHER_ARGS} -vm $devJRE -vmargs $devArgs

